### Function

# Gimp context_set_sample_criterion

since: 2.8

#### Declaration [src]

    gboolean
    gimp_context_set_sample_criterion (
      GimpSelectCriterion sample_criterion
    )

#### Description [src]

Set the sample criterion setting.

Modifies the sample criterion setting. If an operation depends on the colors of the pixels present in a drawable, like when doing a seed fill, this setting controls how color similarity is determined. SELECT_CRITERION_COMPOSITE is the default value.

This setting affects the following procedures: gimp_image_select_color(), gimp_image_select_contiguous_color(), gimp_drawable_edit_bucket_fill().

Available since: 2.8

#### Parameters

`sample_criterion`

  Type: `GimpSelectCriterion`

  The sample criterion setting.

#### Return value

Type: `gboolean`

TRUE on success.